WBCE CMS Forum

WBCE CMS – Way Better Content Editing.

You are not logged in.

#26 27.06.2020 19:41:48

Slugger
Member

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Kurze Frage:
Macht es Sinn das hier zumachen?

-> https://forum.wbce.org/viewtopic.php?id=2820

Oder ist es identisch dem dem errorlog-Modul?


Hoster: ALL-INKL *** Grundsätzliche WBCE Konfig ***
WBCE: 1.4.4 • BE: 2.1.0 • PHP: 7.4.5
1. Projekt: FE: lichtfjyr • BE: Argos * 2. Projekt: FE: WBCEZon • BE: Argos * 3. Projekt: FE: WBCETik • BE: Argos
Status  OK

Online

#27 27.06.2020 19:46:16

florian
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Gute Idee, kannst Du durchaus mal versuchen

Offline

Liked by:

Slugger

#28 28.06.2020 11:24:42

Slugger
Member

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Kurz Rückmeldung von mir:

Keine Hinweise und Einträge in allen WBCE-Projekten!

Ich mache wie in meinen Post #25 damit weiter.

Last edited by Slugger (28.06.2020 11:57:21)


Hoster: ALL-INKL *** Grundsätzliche WBCE Konfig ***
WBCE: 1.4.4 • BE: 2.1.0 • PHP: 7.4.5
1. Projekt: FE: lichtfjyr • BE: Argos * 2. Projekt: FE: WBCEZon • BE: Argos * 3. Projekt: FE: WBCETik • BE: Argos
Status  OK

Online

Liked by:

colinax

#29 28.06.2020 16:20:16

Slugger
Member

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Zwischenstand:

Ein Projekt auf WBCE-1.4.4 geupdatet, alle Module aktualisiert, auf PHP 7.4.5 umgestellt.

Unverändert, keine Besserung und keine Logs -> 503 Service Unavailable  cry

Support von ALL-INKL kontaktiert.

Last edited by Slugger (28.06.2020 17:51:24)


Hoster: ALL-INKL *** Grundsätzliche WBCE Konfig ***
WBCE: 1.4.4 • BE: 2.1.0 • PHP: 7.4.5
1. Projekt: FE: lichtfjyr • BE: Argos * 2. Projekt: FE: WBCEZon • BE: Argos * 3. Projekt: FE: WBCETik • BE: Argos
Status  OK

Online

#30 28.06.2020 16:38:55

florian
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Sind die Projekte, bei denen der Fehler auftritt, alle im selben Vertrag?

Offline

#31 28.06.2020 16:41:16

Slugger
Member

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Ja, sind alle im selben Vertrag


Hoster: ALL-INKL *** Grundsätzliche WBCE Konfig ***
WBCE: 1.4.4 • BE: 2.1.0 • PHP: 7.4.5
1. Projekt: FE: lichtfjyr • BE: Argos * 2. Projekt: FE: WBCEZon • BE: Argos * 3. Projekt: FE: WBCETik • BE: Argos
Status  OK

Online

#32 29.06.2020 07:48:14

florian
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Ich habe heute morgen eine 1:1-Kopie der Website auf einem anderen All-Inkl-Server gemacht und konnte dort den Fehler nicht reproduzieren. Dann habe ich das Admintool Sysinfo installiert und Zeile für Zeile auf beiden Systemen die Angaben verglichen.

Letztlich habe ich dadurch herausgefunden, und das deckt sich auch mit einem ganz ähnlichen Problem von vor drei Monaten, dass es Probleme mit OPCache gibt. Ob das nun an einer speziellen All-Inkl-OPCache-Konfiguration oder dem CKEditor oder dem WBCE-PHP-Wrapper für den CKEditor liegt, ist schwer zu sagen.

Nach meinem derzeitigen Kenntnisstand hilft es, in der .htaccess die Zeile

php_flag opcache.enable off

zu ergänzen.

Offline

Liked by:

Slugger

#33 29.06.2020 20:12:08

Slugger
Member

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Hallo Florian,
vielen Dank euch beiden und den Einsatz für die letzten beiden Tagen, da wäre ich ums verrecken nicht darauf kommen thumb_up

Ich werde mir mal etwas Einfallen lassen, damit das in irgendeiner Form gewürdigt wird, ist nicht selbstverständlich was Ihr hier leistet.

Kein vergleich zum "bezahlten" ALL-INKL. Support wink

Dann werde ich mal die anderen Projekte nachziehen smile

Nochmal zum Verständnis und Abgleich:

Wie ich gelesen habe hast du auch was bei ALL-INKL, managed Server oder Hostingpaket?

Hat das Abschalten von OPCache eine Auswirkung in der Zukunft für das WBCE?
Wie sieht es aus wenn andere Programme in der gleichen Domain z. B.: Nextcloud installiert werden?

- Ich vermute einfach mal ja und sollte dahingehend vermieden werden.

Zum schluss überlege ich mir noch was ich ALL-INKL schreiben bei einem Glas Wein.

Prost und erstklassige Arbeit cool

Last edited by Slugger (29.06.2020 20:20:32)


Hoster: ALL-INKL *** Grundsätzliche WBCE Konfig ***
WBCE: 1.4.4 • BE: 2.1.0 • PHP: 7.4.5
1. Projekt: FE: lichtfjyr • BE: Argos * 2. Projekt: FE: WBCEZon • BE: Argos * 3. Projekt: FE: WBCETik • BE: Argos
Status  OK

Online

#34 29.06.2020 20:35:47

colinax
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Slugger wrote:

Hat das Abschalten von OPCache eine Auswirkung in der Zukunft für das WBCE?
Wie sieht es aus wenn andere Programme in der gleichen Domain z. B.: Nextcloud installiert werden?

OPCache hat keine Auswirkungen auf WBCE und vielen anderen Apps und Tools.

Der OPcache ist ein Cache der nichts anders macht, als wenn eine php Datei das erste Mal geladen wird, das Ergebnis zu speichern und wenn auf die Datei erneut zugegriffen wird das Ergebnis zu laden statt die Datei erneut zu rendern.

Ein paar andere Hoster haben mit OPcache auch Probleme, meistens durch komische Configs die uu. mit Bugfixes von php oder anderen Stellen nicht klar kommen  hmm

Last edited by colinax (29.06.2020 20:49:10)

Offline

#35 29.06.2020 21:21:57

florian
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

@Slugger

Wie ich gelesen habe hast du auch was bei ALL-INKL, managed Server oder Hostingpaket?

Diese Seite hier (wbce.org inklusive Forum, AOR usw) laufen bei All-Inkl, allerdings noch auf älteren PHP-Versionen. Eine Test-Subdomain habe ich auf 7.4 laufen, da steht aber OPCache nicht zur Verfügung. Das ist ein all-inkl PrivatPlus-Hosting, vielleicht gibt es OPCache auch erst ab Premium oder Business.
Ich habe auch noch einige Kundenprojekte bei A-I, da werde ich mal unauffällig testen.

Hat das Abschalten von OPCache eine Auswirkung in der Zukunft für das WBCE?

Wir behalten das im Hinterkopf, und wenn es sich herausstellt, dass es ein Kompatibilitätsproblem von WBCE ist, werden wir sicherlich versuchen, das anzugehen. Aber es ist halt sehr schwer, so lange nicht klar ist, wo  genau die Ursache liegt.

Wie sieht es aus wenn andere Programme in der gleichen Domain z. B.: Nextcloud installiert werden?

Wenn in der gleichen Domain andere Anwendungen laufen (und die keine Probleme mit OPCache haben), könntest Du versuchen, die htaccess mit dem PHP-Flag ins /admin-Verzeichnis zu verschieben. Theoretisch müsste das dann eigentlich so funktionieren, dass andere Anwendungen OPCache nutzen können und das dann nur für WBCE umgangen wird. Bin mir aber nicht sicher, ob das funktioniert. Besser ist, für Nextcloud usw. Subdomains anzulegen, dann kann das alles voneinander unabhängig gesteuert werden.

Zum schluss überlege ich mir noch was ich ALL-INKL schreiben bei einem Glas Wein.

Einfach nur, dass es irgendwie mit OPCache zusammen hängt (falls mal wieder wer fragt). An sich ist deren Support eigentlich immer recht bemüht und hat ja auch immerhin noch Sonntagabend reagiert. Das ist ja auch nicht bei allen Anbietern so.

Offline

#36 30.06.2020 23:16:36

Slugger
Member

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

@Florian

Das ist ein all-inkl PrivatPlus-Hosting, vielleicht gibt es OPCache auch erst ab Premium oder Business.

Schwer zu beurteilen, musste damals das Premium nehmen, weil ich zu diesen Zeitpunkt mehr als 5 Projekte hatte.

Wir behalten das im Hinterkopf, und wenn es sich herausstellt, dass es ein Kompatibilitätsproblem von WBCE ist, werden wir sicherlich versuchen, das anzugehen. Aber es ist halt sehr schwer, so lange nicht klar ist, wo  genau die Ursache liegt.

thumb_up

Besser ist, für Nextcloud usw. Subdomains anzulegen, dann kann das alles voneinander unabhängig gesteuert werden.

Sollte vielleicht noch als Hint  in "Kompatibilität/Systemvoraussetzungen" mit dazu, für einen reibungslosen Betrieb
-> unerfahrene Nutzer/Neulinge die Bekanntschaft mit Hostingpaketen machen.

Bei mir läuft das schon so, das Nextcloud in einer subdomain läuft, damit die Systeme sich nicht gegeneinander stören.

Einfach nur, dass es irgendwie mit OPCache zusammen hängt (falls mal wieder wer fragt). An sich ist deren Support eigentlich immer recht bemüht und hat ja auch immerhin noch Sonntagabend reagiert. Das ist ja auch nicht bei allen Anbietern so.

Wird so in der derart mitgeteilt. Und ja ein Sonntagssupport hatte ich noch nie, obwohl man am WE etwas anderes machen könnte wink

Nachtrag:
Kann man eigentlich Module im WBCE, sowie vom Support (all-inkl) geschrieben abschalten?

Und Danke für deinen Hinweis in #32 mit "Admintool Sysinfo", ist bei mir notiert  thumb_up

Last edited by Slugger (30.06.2020 23:32:13)


Hoster: ALL-INKL *** Grundsätzliche WBCE Konfig ***
WBCE: 1.4.4 • BE: 2.1.0 • PHP: 7.4.5
1. Projekt: FE: lichtfjyr • BE: Argos * 2. Projekt: FE: WBCEZon • BE: Argos * 3. Projekt: FE: WBCETik • BE: Argos
Status  OK

Online

#37 01.07.2020 09:18:49

florian
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Ich hatte gestern bei einem Account bei Alfahosting PHP auf 7.4 gesetzt (die verwenden allerdings noch PHP 7.4.3 und nicht 7.4.5 wie A-I) und OPCache aktiviert - da ist das Problem nicht aufgetreten. Werde mal schauen, ob ich OPCache auch noch in anderen Paketen bei anderen Webhostern aktivieren kann.
Meine eigenen und Kundenaccounts bei A-I sind alle zu alt oder zu klein, um dort OPCache zu aktivieren, deshalb kann ich da nicht weiter testen.

Zur Frage des Abschaltens von Modulen: Ist nicht wirklich möglich, ggf. mal probieren, je nach Modul die include.php oder view.php via FTP umzubenennen.

Offline

Liked by:

Slugger

#38 02.07.2020 09:59:45

florian
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Ich habe das Problem jetzt auf einer weiteren Testinstallation - nicht bei All-Inkl, sondern bei Variomedia - nachstellen können.
Ich kann es auch zumindest ungefähr eingrenzen. Es scheint nicht direkt mit dem CKEditor zusammen zu hängen, auch nicht mit den CKE-Plugins, sondern mit der include.php bzw. wbce_ckeditor.php.

Bis einschließlich CKE-Version 4.5.11 tritt das Problem nicht auf.
Version 4.6.2 funktioniert dann nicht mehr.

4.5.11 verwendet include.php, /ckeditor/ckeditor.php und /ckeditor/CKEditorPlus.php
4.6.2 und die darauffolgenden Versionen verwenden include.php und wbce_ckeditor.php

Die Dateien sind leider sehr unterschiedlich aufgebaut, so dass es für mich nicht möglich ist, herauszufinden, was genau der Auslöser ist.
Ich hänge die 4.5.11 hier mal an - bitte NICHT installieren, sondern nur für Codevergleich verwenden.

Edit: Weiterhin noch ein Vergleich der OPCache-Konfiguration von Alfahosting und Variomedia. Hauptverdächtiger ist der "File Cache"...
Edit 2: Yep, ist der File Cache. Wenn ich den über die php.ini mit

opcache.file_cache=

deaktiviere, funktioniert auch der aktuelle CKE.

Edit3: Anhänge entfernt

Last edited by colinax (04.07.2020 14:11:02)

Offline

#39 03.07.2020 17:37:01

colinax
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Gibt es hier noch Behandlungsbedarf?

roll roll Variomedia erzwingt sogar im shared memory den Cache (per default ist diese Funktion deaktiviert).

Der CKE hat einen eingebauten Anti-Cache, weis nicht ob diese Mischung das Problem ist.

Wieso die Version 4.5 funktioniert und 4.6 nicht, weis ich nicht lässt sich aber testen, dazu bräuchte ich eine Umgebung wo der CKE nicht funktioniert sowie BE und einen echten FTP Zugang (kein WebFTP).

Offline

#40 03.07.2020 19:19:58

florian
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Du hast eine PM

Offline

Liked by:

colinax

#41 03.07.2020 23:24:39

colinax
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Hab die Ursache gefunden und bin Verwirrt, warum kommt der Fehler erst jetzt o_O .

Die Änderung:

florian wrote:

4.5.11 verwendet include.php, /ckeditor/ckeditor.php und /ckeditor/CKEditorPlus.php
4.6.2 und die darauffolgenden Versionen verwenden include.php und wbce_ckeditor.php

die ich vor 3 Jahren gemacht habe, damit ein FTP Programm (dass den Namen nicht verdient, ihr wisst schon welches) nicht rumzickt, ist die Ursache, sobald ich die alte Struktur wiederherstelle geht es auch mit OPCache Hardcore Einstellungen.

Bin noch nicht fertig, mach Morgen weiter und dann gibt's auch eine Version damit @Slugger das überprüfen kann.

Offline

Liked by:

florian, Slugger

#42 04.07.2020 13:42:43

colinax
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

So dann einmal hier die Zips zum testen.

Bei der von Florian zur Verfügung gestellten Seite laufen beide Versionen ohne Probleme.

@Slugger

könntest du bitte beide Versionen bei dir unter php 7.4 & den Standard php Einstellungen testen?

Edit: Anhänge entfernt

Last edited by colinax (04.07.2020 14:11:34)

Offline

#43 04.07.2020 14:07:48

Slugger
Member

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

@colinax

beide Versionen laufen, keine Meldungen im errolog, die angelegten Seiten können bearbeitet werden.

Getestet unter:
1. WBCE Version: 1.4.3 • Backend Version: 2.1.0 • PHP Version: 7.4.5
2. WBCE Version: 1.4.4 • Backend Version: 2.1.0 • PHP Version: 7.4.5

Super und vielen Dank für Eure Arbeit smile


Hoster: ALL-INKL *** Grundsätzliche WBCE Konfig ***
WBCE: 1.4.4 • BE: 2.1.0 • PHP: 7.4.5
1. Projekt: FE: lichtfjyr • BE: Argos * 2. Projekt: FE: WBCEZon • BE: Argos * 3. Projekt: FE: WBCETik • BE: Argos
Status  OK

Online

#44 04.07.2020 14:12:29

colinax
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Ok Danke für die Bestätigung, werde die Versionen heute Abend noch releasen.

Offline

#45 04.07.2020 14:17:07

florian
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Danke auch von mir.
Lässt sich das an irgend etwas festmachen, wo genau der File Cache ausgestiegen ist?

Offline

#46 04.07.2020 14:42:18

colinax
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

florian wrote:

Lässt sich das an irgend etwas festmachen, wo genau der File Cache ausgestiegen ist?

Bin mir da nicht ganz sicher, aber was ich verstanden habe:

Wenn es keinen Cache gab war alles dynamisch und php musste halt mitdenken (bzw. zwei Runden drehen bis alles da war), der Cache ist statisch und entsprechend muss es am korrekten Platz sein, in unserem Fall waren Files nicht da aber der Code dieser, was zu dem 500er geführt hat.

Oder in Stufen erklärt:

  • Keinen Cache - alles ist dynamisch

  • Normaler Cache - versucht (fast) alles zu cachen, falls es Probleme gibt wird es (dynamisch) neu geladen - und es passt(e) wieder

  • Hardcore Cache - alles wird gecached - falls was nicht passt (wird neu gecached) und endet dann als Beispiel in einen 500er Fehler.

Dass erklärt auch warum es direkt nach der Installation kurz funktionierte.

Offline

#47 04.07.2020 15:00:19

florian
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Dass erklärt auch warum es direkt nach der Installation kurz funktionierte.

Ja, das hatte ich zuvor auch festgestellt. Jedes Mal, wenn ich bei meinen Tests das von OPCache angelegte Verzeichnis (das mit dem klangvollen Namen cb37f58fb90d9062b608b4f0ea2486b5) von Hand gelöscht bzw. umbenannt habe, funktionierte der CKE ein mal, und beim Reload kam dann sofort wieder der Error. Ebenso wie wenn ich an den PHP-Dateien Änderungen vorgenommen hatte. 1x ging's, beim Reload schon dann nicht mehr.

Offline

#48 04.07.2020 21:43:59

colinax
Administrator

Re: [gelöst] Fehlermeldung nach Update 1.4.3 im BE unter PHP 7.4.5

Na dann, einmal der Release der gefixten CKEditor Version.

@Slugger

Deine Testversion ist mit dieser identisch.

Offline

Board footer

Powered by FluxBB

up